curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/framework-details/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/framework-details/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/serving/inference/framework-details/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Returns all available inference frameworks and their versions. Use the version id from the response as framework_version_id when calling the SKU List API.
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Project ID
Active IAM ID (To access contact person account) Find your Active IAM ID here
Location
Responses
Section titled “Responses”Successfully retrieved framework details.
object
object
Framework identifier
Display name of the framework
Brief description of the framework
Container image name
Additional framework-specific information
object
Whether the framework uses managed arguments
Available versions for this framework
object
Version ID. Use this as framework_version_id in the SKU List API.
Version string
List of models supported by this version
object
Model identifier (Hugging Face ID or “custom”)
Display label for the model
object
Example
{ "code": 200, "data": [ { "name": "vllm", "display_name": "vLLM", "description": "vLLM is a fast and easy-to-use library for LLM inference and serving.", "image_name": "registry.e2enetworks.net/aimle2e/vllm", "is_managed_args": true, "versions": [ { "id": 64, "version": "v0.17.1", "supported_models": [ { "id": "meta-llama/Llama-2-7b-hf", "label": "Llama-2-7B" } ] } ] } ], "message": "Success"}